Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
INamesArg Struct Reference

## Data Fields
int(* | func )(const UChar *, const UChar *, int, int *, regex_t *, void *)
regex_t * | reg
void * | arg
int | ret
OnigEncoding | enc

## Detailed Description

Definition at line 552 of file regparse.c.

## Field Documentation

## ◆ arg

void* INamesArg::arg

Definition at line 555 of file regparse.c.

Referenced by onig_foreach_name().

## ◆ enc

OnigEncoding INamesArg::enc

Definition at line 557 of file regparse.c.

Referenced by onig_foreach_name().

## ◆ func

int(* INamesArg::func) (const UChar *, const UChar *, int, int *, regex_t *, void *)

Definition at line 553 of file regparse.c.

Referenced by onig_foreach_name().

## ◆ reg

regex_t* INamesArg::reg

Definition at line 554 of file regparse.c.

Referenced by onig_foreach_name().

## ◆ ret

int INamesArg::ret

Definition at line 556 of file regparse.c.

Referenced by onig_foreach_name().

The documentation for this struct was generated from the following file:

- regparse.c